Skip to content
This repository
tree: c7752d2976
Fetching contributors…

Cannot retrieve contributors at this time

file 49 lines (37 sloc) 2.233 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49
<html>
<head>
<title>SiteMesh Requirements</title>
</head>

<body>
<p>SiteMesh is a Servlet Filter and therefore requires a container that
conforms to the <a href="http://java.sun.com/products/servlet/">Servlet
2.3</a> specification.</p>

<p>As SiteMesh is written in pure Java, it is platform independent.</p>

<p>SiteMesh is tested and works on the following Servlet containers:</p>

<ul>
<li><a href="http://www.orionserver.com/">Orion 1.5.4 and up</a></li>
<li><a href="http://jakarta.apache.org/tomcat/">Jakarta Tomcat 4.0, 4.1 and 5.0.19</a></li>
<li><a href="http://www.caucho.com/products/resin/">Resin 2.1.11, 2.1.12, 2.1.13, 2.1.14 and 3.0.7</a></li>
<li><a href="http://www.oracle.com">Oracle OC4J 2</a></li>
<li><a href="http://www.bea.com">WebLogic 7.0 SP2, 8.1 and 8.1 SP2</a></li>
<li><a href="http://www.ibm.com">WebSphere 5.0</a></li>
<li><a href="http://jetty.mortbay.org">Jetty 4.2.20</a></li>
</ul>

<p>The only other requirement of SiteMesh is <a
href="http://www.java.sun.com/xml">JAXP</a> (with a parser
implementation). This should be supplied by your servlet container.</p>

<p>SiteMesh is compatible with JRE 1.3 and higher. For best performance,
JRE 1.4.x or higher should be used.</p>

<p>To build SiteMesh from the sources, you must have the
        <a href="http://java.sun.com/j2se/downloads.html">Java SDK version 1.4</a> or above,
        and <a href="http://ant.apache.org/">Jakarta Ant</a> version 1.5 or above.</p>

<h4>Service Packs and Patches</h4>

<p>SiteMesh currently does not work flawlessly on Weblogic 6.1, 7.0 and 7.0 SP1. For more
        information, visit <a href="http://jira.opensymphony.com/secure/ViewIssue.jspa?id=10045">http://jira.opensymphony.com/secure/ViewIssue.jspa?id=10045</a>.
        However, SiteMesh does work correctly on WebLogic 7.0 SP2, 8.1 and 8.1 SP2.</p>

        <p>SiteMesh does not work on Weblogic 8.1 SP1 because of various bugs in the JSP
        compilation engine. Apply patch <b>CR112789_81sp1</b> to your Weblogic installation.</p>

        <p>SiteMesh does not work on WebSphere 5.0.1 and 5.0.2. Apply patch
        <b>IBM iFix PQ80592</b> to your WebSphere installation.</p>

</body>
</html>
Something went wrong with that request. Please try again.